aboutsummaryrefslogtreecommitdiff
path: root/ebook
diff options
context:
space:
mode:
Diffstat (limited to 'ebook')
-rwxr-xr-xebook37
1 files changed, 37 insertions, 0 deletions
diff --git a/ebook b/ebook
new file mode 100755
index 0000000..67cac12
--- /dev/null
+++ b/ebook
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+# elvis: ebook -- Search for ebooks on https://e-reading.club/
+
+. surfraw || exit 1
+
+default_lang="en"
+
+# no w3_config_hook as there are no config options
+
+w3_usage_hook() {
+ cat <<EOF
+Usage: $w3_argv0 [search words]...
+Description:
+ Surfraw search ebooks on https://e-reading.club/
+Local options: None
+EOF
+ w3_global_usage
+}
+
+w3_parse_option_hook() {
+ opt="$1"
+ optarg="$2"
+ case "$opt" in
+ *) return 1 ;;
+ esac
+ return 0
+}
+
+w3_config
+w3_parse_args "$@"
+
+url="https://e-reading.club/"
+if ! null "$w3_args"; then
+ url="$url?query=$( w3_url_of_arg $w3_args )"
+fi
+w3_browse_url "$url"